.token {
  --anim-duration: 1.5s;
  --anim-delay: 5s;
  --background-color: #636b7414;

  background-color: #636b7414;

  animation-name: token-animation;
  animation-duration: var(--anim-duration);
  animation-delay: var(--anim-delay);
  animation-fill-mode: forwards;

  .icon {
    scale: 0;

    animation-name: token-icon-animation;
    animation-duration: var(--anim-duration);
    animation-delay: var(--anim-delay);
    animation-fill-mode: forwards;
  }

  .label {
    opacity: 0;
    translate: 10px 0px;

    animation-name: token-label-animation;
    animation-duration: var(--anim-duration);
    animation-delay: var(--anim-delay);
    animation-fill-mode: forwards;
  }
}

@keyframes token-animation {
  from {
    background-color: #636b7414;
  }
  to {
    background-color: var(--background-color);
  }
}

@keyframes token-icon-animation {
  from {
    scale: 0;
  }
  to {
    scale: 1;
  }
}

@keyframes token-label-animation {
  from {
    translate: 10px 0px;
    opacity: 0;
  }
  to {
    translate: 0px 0px;
    opacity: 1;
  }
}
